# Regnow - How to integrate QLM with Regnow

If you are using Regnow as an ecommerce provider, QLM integrates seamlessly with Regnow's ordering system.   To have Regnow invoke QLM during an order, do the following in Regnow Control Panel: &#x20;

* Click on Products
* Select a Product and click on Edit.
* Click on the **Manage Delivery Options** tab.
* Locate the **Method** field and select **Post.**
* Locate the **http\://** field and enter the following URL:

[http://yourserver/yourvirtualdirectory/qlmservice.asmx/GetActivationKey?is\_productid=*\<productID>*\&is\_majorversion=*\<majorVersion>*\&is\_minorversion=*\<minorVersion>*\&is\_vendor=*regnow*\&is\_features=*\<features*](http://yourserver/yourvirtualdirectory/qlmservice.asmx/GetActivationKey?is_productid=%3CproductID%3E\&is_majorversion=%3CmajorVersion%3E\&is_minorversion=%3CminorVersion%3E\&vendor=regnow\&is_features=%3Cfeatures)>

where

* is\_vendor = regnow
* is\_productid = your product id as defined in QLM
* is\_majorversion = your product's major version as defined in QLM
* is minorversion = your product's minor version as defined in QLM
* is\_qlmversion = 5.0.00
* is\_features = semi comma separated list of feature sets and their corresponding values. Example: is\_features=0:3;1:1. This means that in feature set 0, features 1 + 2 are enabled and in feature set 1, feature 1 is enabled.
* is\_user = username defined in the QlmProviders.xml (optional)
* is\_pwd = password defined in the QlmProviders.xml (optional)

&#x20;

With the steps above completed, place a test order. When the order is placed, the following will occur:

&#x20;

* A new user will be automatically added to the QLM database based on the information collected during the ordering process.
* An activation key will be created in the QLM database and associated to the user.
* An email will be sent to the customer with the activation key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/3rd-party-integration/regnow-how-to-integrate-qlm-with-regnow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
